View Issue Details

IDProjectCategoryView StatusLast Update
0000389fileGeneralpublic2022-10-18 13:01
Reporterrrt Assigned Tochristos  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in VersionHEAD 
Summary0000389: /usr/bin/env patterns should be stronger than more general patterns
DescriptionIn "varied.script" the /usr/bin/env patterns are annotated with "!:strength / 10", while the more general patterns that do not match /usr/bin/env get "!:strength / 2". This means that the /usr/bin/env-specific patterns never match first, which seems wrong.
TagsNo tags attached.

Activities

christos

2022-10-09 17:26

manager   ~0003826

Can you show an example of incorrect behavior?

rrt

2022-10-17 18:54

reporter   ~0003838

With current file CVS, with the file `foo.script` containing:

```
#!/usr/bin/env foo
```

I get the following output from file:

```
$ file foo.script
foo.script: a /usr/bin/env foo script. ASCII text executable
```

If I run `file -k foo.script`, the second diagnosis is the one I would expect:

```
$ file -k foo.script
foo.script: a /usr/bin/env foo script text executable\012- a foo script, ASCII text executable
```

christos

2022-10-18 13:01

manager   ~0003839

Fixed, thanks

Issue History

Date Modified Username Field Change
2022-10-01 20:11 rrt New Issue
2022-10-09 17:25 christos Assigned To => christos
2022-10-09 17:25 christos Status new => assigned
2022-10-09 17:26 christos Status assigned => feedback
2022-10-09 17:26 christos Note Added: 0003826
2022-10-17 18:54 rrt Note Added: 0003838
2022-10-17 18:54 rrt Status feedback => assigned
2022-10-18 13:01 christos Status assigned => resolved
2022-10-18 13:01 christos Resolution open => fixed
2022-10-18 13:01 christos Fixed in Version => HEAD
2022-10-18 13:01 christos Note Added: 0003839